Generation Framework

## org.eclipse.gmf.codegen.gmfgen.impl
Class GenChildLabelNodeImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.codegen.gmfgen.impl.GenCommonBaseImpl
                      org.eclipse.gmf.codegen.gmfgen.impl.GenChildContainerImpl
                          org.eclipse.gmf.codegen.gmfgen.impl.GenNodeImpl
                              org.eclipse.gmf.codegen.gmfgen.impl.GenChildNodeImpl
                                  org.eclipse.gmf.codegen.gmfgen.impl.GenChildLabelNodeImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, GenChildContainer, GenChildLabelNode, GenChildNode, GenCommonBase, GenContainerBase, GenLinkEnd, GenNode

    public class GenChildLabelNodeImpl

extends GenChildNodeImpl
implements GenChildLabelNode

An implementation of the model object 'Gen Child Label Node'.

The following features are implemented:

- `Label Read Only`
- `Label Element Icon`
- `Label Model Facet`

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected static boolean` `LABEL_ELEMENT_ICON_EDEFAULT` The default value of the '`Label Element Icon`' attribute
`protected static boolean` `LABEL_READ_ONLY_EDEFAULT` The default value of the '`Label Read Only`' attribute
`protected boolean` `labelElementIcon` The cached value of the '`Label Element Icon`' attribute
`protected LabelModelFacet` `labelModelFacet` The cached value of the '`Label Model Facet`' containment reference
`protected boolean` `labelReadOnly` The cached value of the '`Label Read Only`' attribute

Fields inherited from class org.eclipse.gmf.codegen.gmfgen.impl.GenChildNodeImpl
`containers`

Fields inherited from class org.eclipse.gmf.codegen.gmfgen.impl.GenNodeImpl
`compartments, CREATE_COMMAND_CLASS_NAME_EDEFAULT, createCommandClassName, GRAPHICAL_NODE_EDIT_POLICY_CLASS_NAME_EDEFAULT, graphicalNodeEditPolicyClassName, labels, modelFacet, PRIMARY_DRAG_EDIT_POLICY_QUALIFIED_CLASS_NAME_EDEFAULT, primaryDragEditPolicyQualifiedClassName`

Fields inherited from class org.eclipse.gmf.codegen.gmfgen.impl.GenChildContainerImpl
`CANONICAL_EDIT_POLICY_CLASS_NAME_EDEFAULT, canonicalEditPolicyClassName, childNodes`

Fields inherited from class org.eclipse.gmf.codegen.gmfgen.impl.GenCommonBaseImpl
`behaviour, diagramRunTimeClass, EDIT_PART_CLASS_NAME_EDEFAULT, editPartClassName, elementType, ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME_EDEFAULT, itemSemanticEditPolicyClassName, NOTATION_VIEW_FACTORY_CLASS_NAME_EDEFAULT, notationViewFactoryClassName, SANS_DOMAIN_EDEFAULT, styles, viewmap, VISUAL_ID_EDEFAULT, visualID`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenNode
`CLASS_NAME_PREFIX, CREATE_COMMAND_SUFFIX, GRAPHICAL_NODE_EDIT_POLICY_SUFFIX`

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenContainerBase
`CANONICAL_EDIT_POLICY_SUFFIX`

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCommonBase
`DEFAULT_CLASS_NAME_PREFIX, EDIT_PART_SUFFIX, ITEM_SEMANTIC_EDIT_POLICY_SUFFIX, NOTATION_VIEW_FACTORY_SUFFIX`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `GenChildLabelNodeImpl()`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` `basicSetLabelModelFacet(LabelModelFacet newLabelModelFacet, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`org.eclipse.emf.common.util.EList<org.eclipse.emf.codegen.ecore.genmodel.GenFeature>` `getLabelMetaFeatures()`
`LabelModelFacet` `getLabelModelFacet()`
`boolean` `isLabelElementIcon()`
`boolean` `isLabelReadOnly()`
`void` `setLabelElementIcon(boolean newLabelElementIcon)`
`void` `setLabelModelFacet(LabelModelFacet newLabelModelFacet)`
`void` `setLabelReadOnly(boolean newLabelReadOnly)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.gmf.codegen.gmfgen.impl.GenChildNodeImpl
`eBasicRemoveFromContainerFeature, eInverseAdd, getContainers, getDiagram`

Methods inherited from class org.eclipse.gmf.codegen.gmfgen.impl.GenNodeImpl

`basicSetModelFacet, eBaseStructuralFeatureID, eDerivedStructuralFeatureID, getAssistantNodes, getClassNamePrefix, getCompartments, getCreateCommandClassName, getCreateCommandClassNameGen, getCreateCommandQualifiedClassName, getDomainMetaClass, getGenIncomingLinks, getGenOutgoingLinks, getGraphicalNodeEditPolicyClassName, getGraphicalNodeEditPolicyClassNameGen, getGraphicalNodeEditPolicyQualifiedClassName, getLabels, getModelFacet, getPrimaryDragEditPolicyQualifiedClassName, getReorientedIncomingLinks, isSansDomain, setCreateCommandClassName, setGraphicalNodeEditPolicyClassName, setModelFacet, setPrimaryDragEditPolicyQualifiedClassName`

Methods inherited from class org.eclipse.gmf.codegen.gmfgen.impl.GenChildContainerImpl
`getCanonicalEditPolicyClassName, getCanonicalEditPolicyClassNameGen, getCanonicalEditPolicyQualifiedClassName, getChildNodes, getContainedNodes, needsCanonicalEditPolicy, setCanonicalEditPolicyClassName`

Methods inherited from class org.eclipse.gmf.codegen.gmfgen.impl.GenCommonBaseImpl

`asJavaConstantName, basicGetDiagramRunTimeClass, basicSetElementType, basicSetViewmap, getBehaviour, getBehaviour, getClassNameSuffux, getDiagramRunTimeClass, getEditPartClassName, getEditPartClassNameGen, getEditPartQualifiedClassName, getElementType, getItemSemanticEditPolicyClassName, getItemSemanticEditPolicyClassNameGen, getItemSemanticEditPolicyQualifiedClassName, getLayoutType, getNotationViewFactoryClassName, getNotationViewFactoryClassNameGen, getNotationViewFactoryQualifiedClassName, getStyles, getUniqueIdentifier, getViewmap, getVisualID, setDiagramRunTimeClass, setEditPartClassName, setElementType, setItemSemanticEditPolicyClassName, setNotationViewFactoryClassName, setViewmap, setVisualID`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenChildNode
`getContainers, getDiagram`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenNode

`getCompartments, getCreateCommandClassName, getCreateCommandQualifiedClassName, getDomainMetaClass, getGraphicalNodeEditPolicyClassName, getGraphicalNodeEditPolicyQualifiedClassName, getLabels, getModelFacet, getPrimaryDragEditPolicyQualifiedClassName, getReorientedIncomingLinks, setCreateCommandClassName, setGraphicalNodeEditPolicyClassName, setModelFacet, setPrimaryDragEditPolicyQualifiedClassName`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenChildContainer
`getChildNodes`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenContainerBase
`getAssistantNodes, getCanonicalEditPolicyClassName, getCanonicalEditPolicyQualifiedClassName, getContainedNodes, needsCanonicalEditPolicy, setCanonicalEditPolicyClassName`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCommonBase

`getBehaviour, getBehaviour, getClassNamePrefix, getClassNameSuffux, getDiagramRunTimeClass, getEditPartClassName, getEditPartQualifiedClassName, getElementType, getItemSemanticEditPolicyClassName, getItemSemanticEditPolicyQualifiedClassName, getLayoutType, getNotationViewFactoryClassName, getNotationViewFactoryQualifiedClassName, getStyles, getUniqueIdentifier, getViewmap, getVisualID, isSansDomain, setDiagramRunTimeClass, setEditPartClassName, setElementType, setItemSemanticEditPolicyClassName, setNotationViewFactoryClassName, setViewmap, setVisualID`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenLinkEnd
`getGenIncomingLinks, getGenOutgoingLinks`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### LABEL_READ_ONLY_EDEFAULT

    protected static final boolean LABEL_READ_ONLY_EDEFAULT

  The default value of the '`Label Read Only`' attribute.

  See Also:
    `isLabelReadOnly()`, Constant Field Values
  ** Generated **
  Ordered:

### labelReadOnly

    protected boolean labelReadOnly

  The cached value of the '`Label Read Only`' attribute.

  See Also:
    `isLabelReadOnly()`
  ** Generated **
  Ordered:

### LABEL_ELEMENT_ICON_EDEFAULT

    protected static final boolean LABEL_ELEMENT_ICON_EDEFAULT

  The default value of the '`Label Element Icon`' attribute.

  See Also:
    `isLabelElementIcon()`, Constant Field Values
  ** Generated **
  Ordered:

### labelElementIcon

    protected boolean labelElementIcon

  The cached value of the '`Label Element Icon`' attribute.

  See Also:
    `isLabelElementIcon()`
  ** Generated **
  Ordered:

### labelModelFacet

    protected LabelModelFacet labelModelFacet

  The cached value of the '`Label Model Facet`' containment reference.

  See Also:
    `getLabelModelFacet()`
  ** Generated **
  Ordered:

Constructor Detail

### GenChildLabelNodeImpl

    protected GenChildLabelNodeImpl()

  ** Generated **

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `GenChildNodeImpl`
  ** Generated **

### isLabelReadOnly

    public boolean isLabelReadOnly()

  Specified by:
    `isLabelReadOnly` in interface `GenChildLabelNode`
  Returns:
    the value of the 'Label Read Only' attribute.
  See Also:
    `GenChildLabelNode.setLabelReadOnly(boolean)`, `GMFGenPackage.getGenChildLabelNode_LabelReadOnly()`
  ** Generated **

### setLabelReadOnly

    public void setLabelReadOnly(boolean newLabelReadOnly)

  Specified by:
    `setLabelReadOnly` in interface `GenChildLabelNode`
  Parameters:
    `newLabelReadOnly` - the new value of the 'Label Read Only' attribute.
  See Also:
    `GenChildLabelNode.isLabelReadOnly()`
  ** Generated **

### isLabelElementIcon

    public boolean isLabelElementIcon()

  Specified by:
    `isLabelElementIcon` in interface `GenChildLabelNode`
  Returns:
    the value of the 'Label Element Icon' attribute.
  See Also:
    `GenChildLabelNode.setLabelElementIcon(boolean)`, `GMFGenPackage.getGenChildLabelNode_LabelElementIcon()`
  ** Generated **

### setLabelElementIcon

    public void setLabelElementIcon(boolean newLabelElementIcon)

  Specified by:
    `setLabelElementIcon` in interface `GenChildLabelNode`
  Parameters:
    `newLabelElementIcon` - the new value of the 'Label Element Icon' attribute.
  See Also:
    `GenChildLabelNode.isLabelElementIcon()`
  ** Generated **

### getLabelModelFacet

    public LabelModelFacet getLabelModelFacet()

  Specified by:
    `getLabelModelFacet` in interface `GenChildLabelNode`
  Returns:
    the value of the 'Label Model Facet' containment reference.
  See Also:
    `GenChildLabelNode.setLabelModelFacet(LabelModelFacet)`, `GMFGenPackage.getGenChildLabelNode_LabelModelFacet()`
  ** Generated **

### basicSetLabelModelFacet

    public org.eclipse.emf.common.notify.NotificationChain basicSetLabelModelFacet(LabelModelFacet newLabelModelFacet,
                                                                                   org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **

### setLabelModelFacet

    public void setLabelModelFacet(LabelModelFacet newLabelModelFacet)

  Specified by:
    `setLabelModelFacet` in interface `GenChildLabelNode`
  Parameters:
    `newLabelModelFacet` - the new value of the 'Label Model Facet' containment reference.
  See Also:
    `GenChildLabelNode.getLabelModelFacet()`
  ** Generated **

### getLabelMetaFeatures

    public org.eclipse.emf.common.util.EList<org.eclipse.emf.codegen.ecore.genmodel.GenFeature> getLabelMetaFeatures()

  Specified by:
    `getLabelMetaFeatures` in interface `GenChildLabelNode`
  ** Generated **
    NOT

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `GenChildNodeImpl`
  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `GenChildNodeImpl`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `GenNodeImpl`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `GenNodeImpl`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `GenChildNodeImpl`
  ** Generated **

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `GenNodeImpl`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.